Mailinglist Archive: opensuse (1264 mails)

< Previous Next >
[opensuse] backintime is broken in leap 42.2
backintime backup utility is broken in leap 42.2:

backintime

Back In Time
Version: 1.1.20

Back In Time comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it
under certain conditions; type `backintime --license' for details.

Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/dbus/bus.py", line 175, in
activate_name_owner
return self.get_name_owner(bus_name)
File "/usr/lib/python3.4/site-packages/dbus/bus.py", line 361, in
get_name_owner
's', (bus_name,), **keywords)
File "/usr/lib/python3.4/site-packages/dbus/connection.py", line 651, in
call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could
not get owner of name
'net.launchpad.backintime.serviceHelper': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/backintime/common/backintime.py", line 874, in <module>
start_app()
File "/usr/share/backintime/common/backintime.py", line 463, in start_app
return getConfig(args, False)
File "/usr/share/backintime/common/backintime.py", line 584, in getConfig
cfg = config.Config(args.config)
File "/usr/share/backintime/common/config.py", line 272, in __init__
self.setupUdev = tools.SetupUdev()
File "/usr/share/backintime/common/tools.py", line 1213, in __init__
conn = bus.get_object(SetupUdev.CONNECTION, SetupUdev.OBJECT)
File "/usr/lib/python3.4/site-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python3.4/site-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python3.4/site-packages/dbus/bus.py", line 180, in
activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python3.4/site-packages/dbus/bus.py", line 278, in
start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python3.4/site-packages/dbus/connection.py", line 651, in
call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed:
Failed to execute program
net.launchpad.backintime.serviceHelper: Success


the "--debug" option offers no additional information
running with a blank configuration is no different

tks,
--
(paka)Patrick Shanahan Plainfield, Indiana, USA @ptilopteri
http://en.opensuse.org openSUSE Community Member facebook/ptilopteri
Registered Linux User #207535 @ http://linuxcounter.net
Photos: http://wahoo.no-ip.org/piwigo paka @ IRCnet freenode

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >